/******************************************************************************
 * Copyright © 2007  Red Hat, Inc. All rights reserved.
 *
 *This copyrighted material is made available to anyone wishing to use, modify,
 *copy, or redistribute it subject to the terms and conditions of the GNU 
 *General Public License v.2.  This program is distributed in the hope that it
 *will be useful, but WITHOUT ANY WARRANTY expressed or implied, including the
 *implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *See the GNU General Public License for more details.  You should have received
 *a copy of the GNU General Public License along with this program; if not,
 *write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *Boston, MA 02110-1301, USA. Any Red Hat trademarks that are incorporated in
 *the source code or documentation are not subject to the GNU General Public
 *License and may only be used or replicated with the express permission of
 *Red Hat, Inc.
 *
 *Red Hat Author(s): 	Alex Larsson
 *			Jeff Moyer
 *			Michael K Johnson
 *			Elliot Le
 *			Neil Horman 
 ******************************************************************************/
#ifndef CONFIGURATION_H
#define CONFIGURATION_H

typedef struct {
  guint16 port;
  char *addr;
  int max_concurrent_dumps;
  gboolean daemon;
  char *pidfile;
  int secure;
  int space_check;
  int load_segments;
  int hole_size;
  char *compress;
  int skip_zero;
  int debug;
  int verbose;
  char *dir_prefix;
} NetdumpConfiguration;

extern NetdumpConfiguration config;

void config_init (int argc, char *argv[]);

#endif /* CONFIGURATION_H */
